# BotnetFeed

## ASN

Types:

- <code><a href="./src/resources/botnet-feed/asn.ts">ASNDayReportResponse</a></code>
- <code><a href="./src/resources/botnet-feed/asn.ts">ASNFullReportResponse</a></code>

Methods:

- <code title="get /accounts/{account_id}/botnet_feed/asn/{asn_id}/day_report">client.botnetFeed.asn.<a href="./src/resources/botnet-feed/asn.ts">dayReport</a>(asnId, { ...params }) -> ASNDayReportResponse</code>
- <code title="get /accounts/{account_id}/botnet_feed/asn/{asn_id}/full_report">client.botnetFeed.asn.<a href="./src/resources/botnet-feed/asn.ts">fullReport</a>(asnId, { ...params }) -> ASNFullReportResponse</code>

## Configs

### ASN

Types:

- <code><a href="./src/resources/botnet-feed/configs/asn.ts">ASNDeleteResponse</a></code>
- <code><a href="./src/resources/botnet-feed/configs/asn.ts">ASNGetResponse</a></code>

Methods:

- <code title="delete /accounts/{account_id}/botnet_feed/configs/asn/{asn_id}">client.botnetFeed.configs.asn.<a href="./src/resources/botnet-feed/configs/asn.ts">delete</a>(asnId, { ...params }) -> ASNDeleteResponse</code>
- <code title="get /accounts/{account_id}/botnet_feed/configs/asn">client.botnetFeed.configs.asn.<a href="./src/resources/botnet-feed/configs/asn.ts">get</a>({ ...params }) -> ASNGetResponse</code>
